diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-packet.h ns-3.44/src/dsdv/model/dsdv-packet.h
--- ns-3.43/src/dsdv/model/dsdv-packet.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-packet.h	2025-03-09 16:55:49.371371000 -0700
@@ -31,9 +31,9 @@
 namespace dsdv
 {
 /**
- * \ingroup dsdv
- * \brief DSDV Update Packet Format
- * \verbatim
+ * @ingroup dsdv
+ * @brief DSDV Update Packet Format
+ * @verbatim
  |      0        |      1        |      2        |       3       |
   0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
@@ -43,7 +43,7 @@
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |                       Sequence Number                         |
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
- * \endverbatim
+ * @endverbatim
  */
 
 class DsdvHeader : public Header
@@ -52,15 +52,15 @@
     /**
      * Constructor
      *
-     * \param dst destination IP address
-     * \param hopcount hop count
-     * \param dstSeqNo destination sequence number
+     * @param dst destination IP address
+     * @param hopcount hop count
+     * @param dstSeqNo destination sequence number
      */
     DsdvHeader(Ipv4Address dst = Ipv4Address(), uint32_t hopcount = 0, uint32_t dstSeqNo = 0);
     ~DsdvHeader() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -71,7 +71,7 @@
 
     /**
      * Set destination address
-     * \param destination the destination IPv4 address
+     * @param destination the destination IPv4 address
      */
     void SetDst(Ipv4Address destination)
     {
@@ -80,7 +80,7 @@
 
     /**
      * Get destination address
-     * \returns the destination IPv4 address
+     * @returns the destination IPv4 address
      */
     Ipv4Address GetDst() const
     {
@@ -89,7 +89,7 @@
 
     /**
      * Set hop count
-     * \param hopCount the hop count
+     * @param hopCount the hop count
      */
     void SetHopCount(uint32_t hopCount)
     {
@@ -98,7 +98,7 @@
 
     /**
      * Get hop count
-     * \returns the hop count
+     * @returns the hop count
      */
     uint32_t GetHopCount() const
     {
@@ -107,7 +107,7 @@
 
     /**
      * Set destination sequence number
-     * \param sequenceNumber The sequence number
+     * @param sequenceNumber The sequence number
      */
     void SetDstSeqno(uint32_t sequenceNumber)
     {
@@ -116,7 +116,7 @@
 
     /**
      * Get destination sequence number
-     * \returns the destination sequence number
+     * @returns the destination sequence number
      */
     uint32_t GetDstSeqno() const
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-packet-queue.cc ns-3.44/src/dsdv/model/dsdv-packet-queue.cc
--- ns-3.43/src/dsdv/model/dsdv-packet-queue.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-packet-queue.cc	2025-03-09 16:55:49.371371000 -0700
@@ -139,14 +139,14 @@
 struct IsExpired
 {
     /**
-     * \brief Check for expired entry
-     * \param e QueueEntry to check
-     * \return true if expired
+     * @brief Check for expired entry
+     * @param e QueueEntry to check
+     * @return true if expired
      */
     bool operator()(const QueueEntry& e) const
     {
         // NS_LOG_DEBUG("Expire time for packet in req queue: "<<e.GetExpireTime ());
-        return (e.GetExpireTime() < Seconds(0));
+        return (e.GetExpireTime().IsStrictlyNegative());
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-packet-queue.h ns-3.44/src/dsdv/model/dsdv-packet-queue.h
--- ns-3.43/src/dsdv/model/dsdv-packet-queue.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-packet-queue.h	2025-03-09 16:55:49.371371000 -0700
@@ -30,8 +30,8 @@
 namespace dsdv
 {
 /**
- * \ingroup dsdv
- * \brief DSDV Queue Entry
+ * @ingroup dsdv
+ * @brief DSDV Queue Entry
  */
 class QueueEntry
 {
@@ -44,10 +44,10 @@
     /**
      * c-tor
      *
-     * \param pa the packet to create the entry
-     * \param h the Ipv4Header
-     * \param ucb the UnicastForwardCallback function
-     * \param ecb the ErrorCallback function
+     * @param pa the packet to create the entry
+     * @param h the Ipv4Header
+     * @param ucb the UnicastForwardCallback function
+     * @param ecb the ErrorCallback function
      */
     QueueEntry(Ptr<const Packet> pa = nullptr,
                const Ipv4Header& h = Ipv4Header(),
@@ -57,14 +57,14 @@
           m_header(h),
           m_ucb(ucb),
           m_ecb(ecb),
-          m_expire(Seconds(0))
+          m_expire()
     {
     }
 
     /**
      * Compare queue entries
-     * \param o QueueEntry to compare
-     * \return true if equal
+     * @param o QueueEntry to compare
+     * @return true if equal
      */
     bool operator==(const QueueEntry& o) const
     {
@@ -76,7 +76,7 @@
     // Fields
     /**
      * Get unicast forward callback function
-     * \returns the unicast forward callback
+     * @returns the unicast forward callback
      */
     UnicastForwardCallback GetUnicastForwardCallback() const
     {
@@ -85,7 +85,7 @@
 
     /**
      * Set unicast forward callback function
-     * \param ucb the unicast forward callback
+     * @param ucb the unicast forward callback
      */
     void SetUnicastForwardCallback(UnicastForwardCallback ucb)
     {
@@ -94,7 +94,7 @@
 
     /**
      * Get error callback function
-     * \returns the error callback
+     * @returns the error callback
      */
     ErrorCallback GetErrorCallback() const
     {
@@ -103,7 +103,7 @@
 
     /**
      * Set error callback function
-     * \param ecb the error callback
+     * @param ecb the error callback
      */
     void SetErrorCallback(ErrorCallback ecb)
     {
@@ -112,7 +112,7 @@
 
     /**
      * Get packet
-     * \returns the current packet
+     * @returns the current packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -121,7 +121,7 @@
 
     /**
      * Set packet
-     * \param p The current packet
+     * @param p The current packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -130,7 +130,7 @@
 
     /**
      * Get IP header
-     * \returns the IPv4 header
+     * @returns the IPv4 header
      */
     Ipv4Header GetIpv4Header() const
     {
@@ -139,7 +139,7 @@
 
     /**
      * Set IP header
-     * \param h The IPv4 header
+     * @param h The IPv4 header
      */
     void SetIpv4Header(Ipv4Header h)
     {
@@ -148,7 +148,7 @@
 
     /**
      * Set expire time
-     * \param exp
+     * @param exp
      */
     void SetExpireTime(Time exp)
     {
@@ -157,7 +157,7 @@
 
     /**
      * Get expire time
-     * \returns the expire time
+     * @returns the expire time
      */
     Time GetExpireTime() const
     {
@@ -178,8 +178,8 @@
 };
 
 /**
- * \ingroup dsdv
- * \brief DSDV Packet queue
+ * @ingroup dsdv
+ * @brief DSDV Packet queue
  *
  * When a route is not available, the packets are queued. Every node can buffer up to 5 packets per
  * destination. We have implemented a "drop front on full" queue where the first queued packet will
@@ -196,45 +196,45 @@
     /**
      * Push entry in queue, if there is no entry with the same packet and destination address in
      * queue.
-     * \param entry QueueEntry to compare
-     * \return true if successful
+     * @param entry QueueEntry to compare
+     * @return true if successful
      */
     bool Enqueue(QueueEntry& entry);
     /**
      * Return first found (the earliest) entry for given destination
      *
-     * \param dst the destination IP address
-     * \param entry the queue entry
-     * \returns true if successful
+     * @param dst the destination IP address
+     * @param entry the queue entry
+     * @returns true if successful
      */
     bool Dequeue(Ipv4Address dst, QueueEntry& entry);
     /**
      * Remove all packets with destination IP address dst
-     * \param dst the destination IP address
+     * @param dst the destination IP address
      */
     void DropPacketWithDst(Ipv4Address dst);
     /**
      * Finds whether a packet with destination dst exists in the queue
-     * \param dst the destination IP address
-     * \returns true if a packet found
+     * @param dst the destination IP address
+     * @returns true if a packet found
      */
     bool Find(Ipv4Address dst);
     /**
      * Get count of packets with destination dst in the queue
-     * \param dst the destination IP address
-     * \returns the count
+     * @param dst the destination IP address
+     * @returns the count
      */
     uint32_t GetCountForPacketsWithDst(Ipv4Address dst);
     /**
      * Get the number of entries
-     * \returns the number of entries
+     * @returns the number of entries
      */
     uint32_t GetSize();
 
     // Fields
     /**
      * Get maximum queue length
-     * \returns the maximum queue length
+     * @returns the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -243,7 +243,7 @@
 
     /**
      * Set maximum queue length
-     * \param len the maximum queue length
+     * @param len the maximum queue length
      */
     void SetMaxQueueLen(uint32_t len)
     {
@@ -252,7 +252,7 @@
 
     /**
      * Get maximum packets per destination
-     * \returns the maximum packets per destination
+     * @returns the maximum packets per destination
      */
     uint32_t GetMaxPacketsPerDst() const
     {
@@ -261,7 +261,7 @@
 
     /**
      * Set maximum packets per destination
-     * \param len The maximum packets per destination
+     * @param len The maximum packets per destination
      */
     void SetMaxPacketsPerDst(uint32_t len)
     {
@@ -270,7 +270,7 @@
 
     /**
      * Get queue timeout
-     * \returns the queue timeout
+     * @returns the queue timeout
      */
     Time GetQueueTimeout() const
     {
@@ -279,7 +279,7 @@
 
     /**
      * Set queue timeout
-     * \param t The queue timeout
+     * @param t The queue timeout
      */
     void SetQueueTimeout(Time t)
     {
@@ -292,8 +292,8 @@
     void Purge();
     /**
      * Notify that the packet is dropped from queue due to timeout
-     * \param en the queue entry
-     * \param reason the reason for the packet drop
+     * @param en the queue entry
+     * @param reason the reason for the packet drop
      */
     void Drop(QueueEntry en, std::string reason);
     /// The maximum number of packets that we allow a routing protocol to buffer.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-routing-protocol.cc ns-3.44/src/dsdv/model/dsdv-routing-protocol.cc
--- ns-3.43/src/dsdv/model/dsdv-routing-protocol.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-routing-protocol.cc	2025-03-09 16:55:49.371371000 -0700
@@ -50,7 +50,7 @@
     /**
      * Constructor
      *
-     * \param o outgoing interface (OIF)
+     * @param o outgoing interface (OIF)
      */
     DeferredRouteOutputTag(int32_t o = -1)
         : Tag(),
@@ -59,8 +59,8 @@
     }
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId()
     {
@@ -1213,7 +1213,7 @@
     m_routingTable.LookupRoute(address, mainrt);
     if (EnableWST)
     {
-        if (mainrt.GetSettlingTime() == Seconds(0))
+        if (mainrt.GetSettlingTime().IsZero())
         {
             return Seconds(0);
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-routing-protocol.h ns-3.44/src/dsdv/model/dsdv-routing-protocol.h
--- ns-3.43/src/dsdv/model/dsdv-routing-protocol.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-routing-protocol.h	2025-03-09 16:55:49.371371000 -0700
@@ -38,15 +38,15 @@
 {
 
 /**
- * \ingroup dsdv
- * \brief DSDV routing protocol.
+ * @ingroup dsdv
+ * @brief DSDV routing protocol.
  */
 class RoutingProtocol : public Ipv4RoutingProtocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     static const uint32_t DSDV_PORT;
@@ -64,14 +64,14 @@
                                Socket::SocketErrno& sockerr) override;
     /**
      * Route input packet
-     * \param p The packet
-     * \param header The IPv4 header
-     * \param idev The device
-     * \param ucb The unicast forward callback
-     * \param mcb The multicast forward callback
-     * \param lcb The local deliver callback
-     * \param ecb The error callback
-     * \returns true if successful
+     * @param p The packet
+     * @param header The IPv4 header
+     * @param idev The device
+     * @param ucb The unicast forward callback
+     * @param mcb The multicast forward callback
+     * @param lcb The local deliver callback
+     * @param ecb The error callback
+     * @returns true if successful
      */
     bool RouteInput(Ptr<const Packet> p,
                     const Ipv4Header& header,
@@ -91,32 +91,32 @@
     // Methods to handle protocol parameters
     /**
      * Set enable buffer flag
-     * \param f The enable buffer flag
+     * @param f The enable buffer flag
      */
     void SetEnableBufferFlag(bool f);
     /**
      * Get enable buffer flag
-     * \returns the enable buffer flag
+     * @returns the enable buffer flag
      */
     bool GetEnableBufferFlag() const;
     /**
      * Set weighted settling time (WST) flag
-     * \param f the weighted settling time (WST) flag
+     * @param f the weighted settling time (WST) flag
      */
     void SetWSTFlag(bool f);
     /**
      * Get weighted settling time (WST) flag
-     * \returns the weighted settling time (WST) flag
+     * @returns the weighted settling time (WST) flag
      */
     bool GetWSTFlag() const;
     /**
      * Set enable route aggregation (RA) flag
-     * \param f the enable route aggregation (RA) flag
+     * @param f the enable route aggregation (RA) flag
      */
     void SetEnableRAFlag(bool f);
     /**
      * Get enable route aggregation (RA) flag
-     * \returns the enable route aggregation (RA) flag
+     * @returns the enable route aggregation (RA) flag
      */
     bool GetEnableRAFlag() const;
 
@@ -125,8 +125,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -186,10 +186,10 @@
     void Start();
     /**
      * Queue packet until we find a route
-     * \param p the packet to route
-     * \param header the Ipv4Header
-     * \param ucb the UnicastForwardCallback function
-     * \param ecb the ErrorCallback function
+     * @param p the packet to route
+     * @param header the Ipv4Header
+     * @param ucb the UnicastForwardCallback function
+     * @param ecb the ErrorCallback function
      */
     void DeferredRouteOutput(Ptr<const Packet> p,
                              const Ipv4Header& header,
@@ -199,43 +199,43 @@
     void LookForQueuedPackets();
     /**
      * Send packet from queue
-     * \param dst - destination address to which we are sending the packet to
-     * \param route - route identified for this packet
+     * @param dst - destination address to which we are sending the packet to
+     * @param route - route identified for this packet
      */
     void SendPacketFromQueue(Ipv4Address dst, Ptr<Ipv4Route> route);
     /**
      * Find socket with local interface address iface
-     * \param iface the interface
-     * \returns the socket
+     * @param iface the interface
+     * @returns the socket
      */
     Ptr<Socket> FindSocketWithInterfaceAddress(Ipv4InterfaceAddress iface) const;
 
     // Receive dsdv control packets
     /**
      * Receive and process dsdv control packet
-     * \param socket the socket for receiving dsdv control packets
+     * @param socket the socket for receiving dsdv control packets
      */
     void RecvDsdv(Ptr<Socket> socket);
     /**
      * Send a packet
-     * \param route the route
-     * \param packet the packet
-     * \param header the IPv4 header
+     * @param route the route
+     * @param packet the packet
+     * @param header the IPv4 header
      */
     void Send(Ptr<Ipv4Route> route, Ptr<const Packet> packet, const Ipv4Header& header);
 
     /**
      * Create loopback route for given header
      *
-     * \param header the IP header
-     * \param oif the device
-     * \returns the route
+     * @param header the IP header
+     * @param oif the device
+     * @returns the route
      */
     Ptr<Ipv4Route> LoopbackRoute(const Ipv4Header& header, Ptr<NetDevice> oif) const;
     /**
      * Get settlingTime for a destination
-     * \param dst - destination address
-     * \return settlingTime for the destination if found
+     * @param dst - destination address
+     * @return settlingTime for the destination if found
      */
     Time GetSettlingTime(Ipv4Address dst);
     /// Sends trigger update from a node
@@ -246,9 +246,9 @@
     void MergeTriggerPeriodicUpdates();
     /**
      * Notify that packet is dropped for some reason
-     * \param packet the dropped packet
-     * \param header the IPv4 header
-     * \param err the error number
+     * @param packet the dropped packet
+     * @param header the IPv4 header
+     * @param err the error number
      */
     void Drop(Ptr<const Packet> packet, const Ipv4Header& header, Socket::SocketErrno err);
     /// Timer to trigger periodic updates from a node
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-rtable.cc ns-3.44/src/dsdv/model/dsdv-rtable.cc
--- ns-3.43/src/dsdv/model/dsdv-rtable.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-rtable.cc	2025-03-09 16:55:49.371371000 -0700
@@ -240,7 +240,7 @@
             ++i;
             m_ipv4AddressEntry.erase(itmp);
         }
-        /** \todo Need to decide when to invalidate a route */
+        /** @todo Need to decide when to invalidate a route */
         /*          else if (i->second.GetLifeTime() > m_holddownTime)
          {
          ++i;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/model/dsdv-rtable.h ns-3.44/src/dsdv/model/dsdv-rtable.h
--- ns-3.43/src/dsdv/model/dsdv-rtable.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/model/dsdv-rtable.h	2025-03-09 16:55:49.371371000 -0700
@@ -41,8 +41,8 @@
 };
 
 /**
- * \ingroup dsdv
- * \brief Routing table entry
+ * @ingroup dsdv
+ * @brief Routing table entry
  */
 class RoutingTableEntry
 {
@@ -50,15 +50,15 @@
     /**
      * c-tor
      *
-     * \param dev the net device
-     * \param dst the destination IP address
-     * \param seqNo the sequence number
-     * \param iface the interface
-     * \param hops the number of hops
-     * \param nextHop the IP address of the next hop
-     * \param lifetime the lifetime
-     * \param settlingTime the settling time
-     * \param changedEntries flag for changed entries
+     * @param dev the net device
+     * @param dst the destination IP address
+     * @param seqNo the sequence number
+     * @param iface the interface
+     * @param hops the number of hops
+     * @param nextHop the IP address of the next hop
+     * @param lifetime the lifetime
+     * @param settlingTime the settling time
+     * @param changedEntries flag for changed entries
      */
     RoutingTableEntry(Ptr<NetDevice> dev = nullptr,
                       Ipv4Address dst = Ipv4Address(),
@@ -74,7 +74,7 @@
 
     /**
      * Get destination IP address
-     * \returns the destination IPv4 address
+     * @returns the destination IPv4 address
      */
     Ipv4Address GetDestination() const
     {
@@ -83,7 +83,7 @@
 
     /**
      * Get route
-     * \returns the IPv4 route
+     * @returns the IPv4 route
      */
     Ptr<Ipv4Route> GetRoute() const
     {
@@ -92,7 +92,7 @@
 
     /**
      * Set route
-     * \param route the IPv4 route
+     * @param route the IPv4 route
      */
     void SetRoute(Ptr<Ipv4Route> route)
     {
@@ -101,7 +101,7 @@
 
     /**
      * Set next hop
-     * \param nextHop the IPv4 address of the next hop
+     * @param nextHop the IPv4 address of the next hop
      */
     void SetNextHop(Ipv4Address nextHop)
     {
@@ -110,7 +110,7 @@
 
     /**
      * Get next hop
-     * \returns the IPv4 address of the next hop
+     * @returns the IPv4 address of the next hop
      */
     Ipv4Address GetNextHop() const
     {
@@ -119,7 +119,7 @@
 
     /**
      * Set output device
-     * \param device the output device
+     * @param device the output device
      */
     void SetOutputDevice(Ptr<NetDevice> device)
     {
@@ -128,7 +128,7 @@
 
     /**
      * Get output device
-     * \returns the output device
+     * @returns the output device
      */
     Ptr<NetDevice> GetOutputDevice() const
     {
@@ -137,7 +137,7 @@
 
     /**
      * Get interface address
-     * \returns the IPv4 interface address
+     * @returns the IPv4 interface address
      */
     Ipv4InterfaceAddress GetInterface() const
     {
@@ -146,7 +146,7 @@
 
     /**
      * Set interface address
-     * \param iface the IPv4 interface address
+     * @param iface the IPv4 interface address
      */
     void SetInterface(Ipv4InterfaceAddress iface)
     {
@@ -155,7 +155,7 @@
 
     /**
      * Set sequence number
-     * \param sequenceNumber the sequence number
+     * @param sequenceNumber the sequence number
      */
     void SetSeqNo(uint32_t sequenceNumber)
     {
@@ -164,7 +164,7 @@
 
     /**
      * Get sequence number
-     * \returns the sequence number
+     * @returns the sequence number
      */
     uint32_t GetSeqNo() const
     {
@@ -173,7 +173,7 @@
 
     /**
      * Set hop
-     * \param hopCount the hop count
+     * @param hopCount the hop count
      */
     void SetHop(uint32_t hopCount)
     {
@@ -182,7 +182,7 @@
 
     /**
      * Get hop
-     * \returns the hop count
+     * @returns the hop count
      */
     uint32_t GetHop() const
     {
@@ -191,7 +191,7 @@
 
     /**
      * Set lifetime
-     * \param lifeTime the lifetime value
+     * @param lifeTime the lifetime value
      */
     void SetLifeTime(Time lifeTime)
     {
@@ -200,7 +200,7 @@
 
     /**
      * Get lifetime
-     * \returns the lifetime value
+     * @returns the lifetime value
      */
     Time GetLifeTime() const
     {
@@ -209,7 +209,7 @@
 
     /**
      * Set settling time
-     * \param settlingTime the settling time
+     * @param settlingTime the settling time
      */
     void SetSettlingTime(Time settlingTime)
     {
@@ -218,7 +218,7 @@
 
     /**
      * Get settling time
-     * \returns the settling time
+     * @returns the settling time
      */
     Time GetSettlingTime() const
     {
@@ -227,7 +227,7 @@
 
     /**
      * Set route flags
-     * \param flag the route flags
+     * @param flag the route flags
      */
     void SetFlag(RouteFlags flag)
     {
@@ -236,7 +236,7 @@
 
     /**
      * Get route flags
-     * \returns the route flags
+     * @returns the route flags
      */
     RouteFlags GetFlag() const
     {
@@ -245,7 +245,7 @@
 
     /**
      * Set entries changed indicator
-     * \param entriesChanged
+     * @param entriesChanged
      */
     void SetEntriesChanged(bool entriesChanged)
     {
@@ -254,7 +254,7 @@
 
     /**
      * Get entries changed
-     * \returns the entries changed flag
+     * @returns the entries changed flag
      */
     bool GetEntriesChanged() const
     {
@@ -262,9 +262,9 @@
     }
 
     /**
-     * \brief Compare destination address
-     * \param destination destination node IP address
-     * \return true if equal
+     * @brief Compare destination address
+     * @param destination destination node IP address
+     * @return true if equal
      */
     bool operator==(const Ipv4Address destination) const
     {
@@ -273,8 +273,8 @@
 
     /**
      * Print routing table entry
-     * \param stream the output stream
-     * \param unit the Time unit
+     * @param stream the output stream
+     * @param unit the Time unit
      */
     void Print(Ptr<OutputStreamWrapper> stream, Time::Unit unit = Time::S) const;
 
@@ -285,7 +285,7 @@
     /// Hop Count (number of hops needed to reach destination)
     uint32_t m_hops;
     /**
-     * \brief Expiration or deletion time of the route
+     * @brief Expiration or deletion time of the route
      * Lifetime field in the routing table plays dual role --
      * for an active route it is the expiration time, and for an invalid route
      * it is the deletion time.
@@ -310,8 +310,8 @@
 };
 
 /**
- * \ingroup dsdv
- * \brief The Routing table used by DSDV protocol
+ * @ingroup dsdv
+ * @brief The Routing table used by DSDV protocol
  */
 class RoutingTable
 {
@@ -320,53 +320,53 @@
     RoutingTable();
     /**
      * Add routing table entry if it doesn't yet exist in routing table
-     * \param r routing table entry
-     * \return true in success
+     * @param r routing table entry
+     * @return true in success
      */
     bool AddRoute(RoutingTableEntry& r);
     /**
      * Delete routing table entry with destination address dst, if it exists.
-     * \param dst destination address
-     * \return true on success
+     * @param dst destination address
+     * @return true on success
      */
     bool DeleteRoute(Ipv4Address dst);
     /**
      * Lookup routing table entry with destination address dst
-     * \param dst destination address
-     * \param rt entry with destination address dst, if exists
-     * \return true on success
+     * @param dst destination address
+     * @param rt entry with destination address dst, if exists
+     * @return true on success
      */
     bool LookupRoute(Ipv4Address dst, RoutingTableEntry& rt);
     /**
      * Lookup routing table entry with destination address dst
-     * \param id destination address
-     * \param rt entry with destination address dst, if exists
-     * \param forRouteInput for routing input
-     * \return true onns3  success
+     * @param id destination address
+     * @param rt entry with destination address dst, if exists
+     * @param forRouteInput for routing input
+     * @return true onns3  success
      */
     bool LookupRoute(Ipv4Address id, RoutingTableEntry& rt, bool forRouteInput);
     /**
      * Updating the routing Table with routing table entry rt
-     * \param rt routing table entry
-     * \return true on success
+     * @param rt routing table entry
+     * @return true on success
      */
     bool Update(RoutingTableEntry& rt);
     /**
      * Lookup list of addresses for which nxtHp is the next Hop address
-     * \param nxtHp nexthop's address for which we want the list of destinations
-     * \param dstList is the list that will hold all these destination addresses
+     * @param nxtHp nexthop's address for which we want the list of destinations
+     * @param dstList is the list that will hold all these destination addresses
      */
     void GetListOfDestinationWithNextHop(Ipv4Address nxtHp,
                                          std::map<Ipv4Address, RoutingTableEntry>& dstList);
     /**
      * Lookup list of all addresses in the routing table
-     * \param allRoutes is the list that will hold all these addresses present in the nodes routing
+     * @param allRoutes is the list that will hold all these addresses present in the nodes routing
      * table
      */
     void GetListOfAllRoutes(std::map<Ipv4Address, RoutingTableEntry>& allRoutes);
     /**
      * Delete all route from interface with address iface
-     * \param iface the interface
+     * @param iface the interface
      */
     void DeleteAllRoutesFromInterface(Ipv4InterfaceAddress iface);
 
@@ -378,58 +378,58 @@
 
     /**
      * Delete all outdated entries if Lifetime is expired
-     * \param removedAddresses is the list of addresses to purge
+     * @param removedAddresses is the list of addresses to purge
      */
     void Purge(std::map<Ipv4Address, RoutingTableEntry>& removedAddresses);
     /**
      * Print routing table
-     * \param stream the output stream
-     * \param unit the Time unit
+     * @param stream the output stream
+     * @param unit the Time unit
      */
     void Print(Ptr<OutputStreamWrapper> stream, Time::Unit unit = Time::S) const;
     /**
      * Provides the number of routes present in that nodes routing table.
-     * \returns the number of routes
+     * @returns the number of routes
      */
     uint32_t RoutingTableSize();
     /**
      * Add an event for a destination address so that the update to for that destination is sent
      * after the event is completed.
-     * \param address destination address for which this event is running.
-     * \param id unique eventid that was generated.
-     * \return true on success
+     * @param address destination address for which this event is running.
+     * @param id unique eventid that was generated.
+     * @return true on success
      */
     bool AddIpv4Event(Ipv4Address address, EventId id);
     /**
      * Clear up the entry from the map after the event is completed
-     * \param address destination address for which this event is running.
-     * \return true on success
+     * @param address destination address for which this event is running.
+     * @return true on success
      */
     bool DeleteIpv4Event(Ipv4Address address);
     /**
      * Force delete an update waiting for settling time to complete as a better update to
      * same destination was received.
-     * \param address destination address for which this event is running.
-     * \return true on success
+     * @param address destination address for which this event is running.
+     * @return true on success
      */
     bool AnyRunningEvent(Ipv4Address address);
     /**
      * Force delete an update waiting for settling time to complete as a better update to
      * same destination was received.
-     * \param address destination address for which this event is running.
-     * \return true on finding out that an event is already running for that destination address.
+     * @param address destination address for which this event is running.
+     * @return true on finding out that an event is already running for that destination address.
      */
     bool ForceDeleteIpv4Event(Ipv4Address address);
     /**
      * Get the EventId associated with that address.
-     * \param address destination address for which this event is running.
-     * \return EventId on finding out an event is associated else return NULL.
+     * @param address destination address for which this event is running.
+     * @return EventId on finding out an event is associated else return NULL.
      */
     EventId GetEventId(Ipv4Address address);
 
     /**
      * Get hold down time (time until an invalid route may be deleted)
-     * \returns the hold down time
+     * @returns the hold down time
      */
     Time Getholddowntime() const
     {
@@ -438,7 +438,7 @@
 
     /**
      * Set hold down time (time until an invalid route may be deleted)
-     * \param t the hold down time
+     * @param t the hold down time
      */
     void Setholddowntime(Time t)
     {
